API referenceTransactions
Create a transaction from an active quote
Authorization
ApiKey AuthorizationBearer <token>
Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.
In: header
Header Parameters
idempotency-key*string
Client-generated unique key to make the mutation safe to retry.
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.sandbox.blendfi.com.br/v1/transactions" \ -H "idempotency-key: 0196c5d9-2e34-7c24-a47e-a0e1f89bb8a9" \ -H "Content-Type: application/json" \ -d '{ "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",
"type": "pix_onramp",
"status": "pending_payment",
"source_amount": "string",
"source_currency": "string",
"target_amount": "string",
"target_currency": "string",
"exchange_rate": "string",
"pix_qr_code": "string",
"pix_tx_id": "string",
"pix_paid_at": "2019-08-24T14:15:22Z",
"destination_wallet_address": "string",
"destination_wallet_network": "polygon",
"usdt_tx_hash": "string",
"usdt_sent_at": "2019-08-24T14:15:22Z",
"failure_reason": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}